Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 835)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 836)
@@ -134,7 +134,7 @@
 
 
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 
 
 		// FIXME: tests to use Fields editor and ScopedPreferenceStore for command parameters
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 835)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 836)
@@ -26,6 +26,9 @@
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.core.functions.comparators.LineComparator;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.edition.rcp.editors.RGBA;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
+import org.txm.edition.rcp.handlers.OpenEdition;
 import org.txm.objects.Edition;
 import org.txm.objects.Page;
 import org.txm.objects.Text;
@@ -38,9 +41,6 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.synopticedition.rcp.editors.RGBA;
-import org.txm.synopticedition.rcp.editors.SynopticEditionEditor;
-import org.txm.synopticedition.rcp.handlers.OpenEdition;
 import org.txm.utils.logger.Log;
 
 /**
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -1,24 +1,21 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.utils;visibility:=reexport,org.eclipse.osgi;bu
- ndle-version="3.10.2";visibility:=reexport,org.eclipse.core.runtime;b
- undle-version="3.10.0";visibility:=reexport,org.eclipse.ui;bundle-ver
- sion="3.106.1";visibility:=reexport,org.eclipse.e4.ui.workbench;bundl
- e-version="1.2.2";visibility:=reexport,org.txm.concordance.core;bundl
- e-version="1.0.0";visibility:=reexport,org.txm.concordance.rcp;visibi
- lity:=reexport,org.txm.synopticeditor.rcp;visibility:=reexport,org.tx
- m.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,o
- rg.txm.progression.core;bundle-version="1.0.0";visibility:=reexport,o
- rg.txm.chartsengine.svgbatik.rcp;bundle-version="1.0.0";visibility:=r
- eexport,org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=r
- eexport,org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility
- :=reexport,org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility
- :=reexport,org.txm.chartsengine.core;visibility:=reexport,org.eclipse
- .ui.workbench;visibility:=reexport,org.eclipse.swt;visibility:=reexpo
- rt,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.txm.c
- hartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexpo
- rt,org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=
- reexport,org.txm.searchengine.core;bundle-version="1.0.0";visibility:
- =reexport,org.txm.rcp;visibility:=reexport
+Require-Bundle: org.txm.utils;visibility:=reexport,
+ org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
+ org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
+ org.eclipse.ui;bundle-version="3.106.1";visibility:=reexport,
+ org.eclipse.e4.ui.workbench;bundle-version="1.2.2";visibility:=reexport,
+ org.txm.concordance.rcp;visibility:=reexport,
+ org.txm.edition.rcp;visibility:=reexport,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
+ org.txm.progression.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.lexicaltable.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.eclipse.ui.workbench;visibility:=reexport,
+ org.eclipse.swt;visibility:=reexport,
+ org.txm.core;bundle-version="0.7.0";visibility:=reexport,
+ org.eclipse.core.expressions;bundle-version="3.4.600";visibility:=reexport,
+ org.txm.rcp;visibility:=reexport
 Export-Package: org.txm.progression.rcp.adapters,org.txm.progression.r
  cp.chartsengine.events,org.txm.progression.rcp.editors,org.txm.progre
  ssion.rcp.handlers,org.txm.progression.rcp.messages,org.txm.progressi
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 835)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 836)
@@ -346,7 +346,7 @@
 
 
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 
 		Composite controlArea = getExtendedParametersComposite();
 
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 835)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 836)
@@ -69,7 +69,7 @@
 
 
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 
 		// Extend the chart editor tool bar
 		new ToolItem(this.chartToolBar, SWT.SEPARATOR);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/EigenvaluesChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/EigenvaluesChartEditor.java	(revision 835)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/EigenvaluesChartEditor.java	(revision 836)
@@ -3,7 +3,6 @@
  */
 package org.txm.ca.rcp.editors;
 
-import org.eclipse.swt.widgets.Composite;
 import org.txm.ca.core.functions.Eigenvalues;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
@@ -21,12 +20,12 @@
 	 * 
 	 * @param createChartEditorInput
 	 */
-	public EigenvaluesChartEditor(ChartEditorInput chartEditorInput) {
+	public EigenvaluesChartEditor(ChartEditorInput<Eigenvalues> chartEditorInput) {
 		super(chartEditorInput);
 	}
 
 	@Override
-	public void __createPartControl(Composite parent) {
+	public void __createPartControl() {
 		// nothing to do
 	}
 
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 835)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 836)
@@ -162,12 +162,11 @@
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(final Composite parent) {
+	public void _createPartControl() {
 		
 		try {
 			lexicalTable = (LexicalTable) this.getResult();
 			
-			
 			// Main parameters
 			GLComposite mainParametersArea = this.getMainParametersComposite();
 			mainParametersArea.getLayout().numColumns = 2;
@@ -178,8 +177,6 @@
 					Corpus.getFirstParentCorpus(this.getResult()).getOrderedProperties(),
 					this.getResult().getProperty(), false);
 
-			
-
 			// Extended parameters
 			Composite extendedParametersArea = this.getExtendedParametersComposite();
 			
Index: tmp/org.txm.setups/VERSION
===================================================================
--- tmp/org.txm.setups/VERSION	(revision 835)
+++ tmp/org.txm.setups/VERSION	(revision 836)
@@ -1 +1 @@
-0.8.0a
+0.8.0
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 835)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 836)
@@ -118,7 +118,7 @@
 		((GridData)composite.getLayoutData()).exclude = !visible;
 		composite.setVisible(visible);
 		composite.layout(true);
-		editorPart.parent.layout(true);
+		editorPart.layout(true);
 		showParameters.setSelection(visible);
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 835)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 836)
@@ -38,6 +38,7 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.svg.SVGComposite;
 
@@ -47,7 +48,7 @@
  *
  * @author Sylvain Loiseau
  */
-public abstract class SVGGraphicEditor extends TXMEditor {
+public abstract class SVGGraphicEditor extends TXMEditor<ChartResult> {
 
 	/** Linking with the OutlineView. */
 	// private OverviewOutlinePage overviewOutlinePage;
@@ -63,9 +64,6 @@
 	/** The svgfile displayed in the editor */
 	private File svgfile;
 	
-	/** The parent. */
-	private Composite parent;
-	
 	/** The Constant ID. */
 	public static final String ID = SVGGraphicEditor.class.getName();
 
@@ -146,10 +144,9 @@
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(Composite parent) {
-		this.parent = parent;
+	public void _createPartControl() {
 
-		svgComp = new SVGComposite(parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
+		svgComp = new SVGComposite(getResultArea(), SWT.EMBEDDED | SWT.NO_BACKGROUND);
 		if (svgPath == null) {
 			if (input instanceof SVGGraphicable) {
 				//svgPath = ((SVGGraphicable) input).getIPath().toFile().toURI().toURL().toString();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 835)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 836)
@@ -25,8 +25,10 @@
 import org.eclipse.swt.layout.RowLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.Text;
@@ -113,7 +115,7 @@
 	/**
 	 * 
 	 */
-	Composite parent;
+	private Composite parent;
 
 	private Composite topToolBarContainer;
 
@@ -136,8 +138,13 @@
 	private boolean createPartControlDoneSucessfully = true; // for now... muahahaha
 
 
+	public Shell getShell() {
+		if (parent !=null && !parent.isDisposed()) {
+			return parent.getShell();
+		}
+		return Display.getDefault().getActiveShell();
+	}
 
-
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
 		this.setSite(site);
@@ -236,14 +243,10 @@
 
 			
 			this.bottomToolBar = new TXMEditorToolBar(this, this.bottomToolBarContainer, this.bottomSubWidgetsComposite, SWT.FLAT, "bottom");
-
 			
+			this._createPartControl(); // child editor create its parameters and display widgets
 
 
-			
-			this._createPartControl(parent); // child editor create its parameters and display widgets
-
-
 			// remove empty toolbar
 			//TODO SJ: Hack? MD: yeah -> need to find a way to not display the bottom toolbar on Windows instead
 			if (this.bottomToolBar.getItems().length == 0) {
@@ -272,9 +275,8 @@
 	 * Subclasses manual creation method called after TXMEditor.createPartControl is called.
 	 * 
 	 * Use this method to set your own widgets in the minimal parameters area, the top toolbar, parameters group, the result area and the bottom toolbar
-	 * @param parent
 	 */
-	public abstract void _createPartControl(Composite parent);
+	public abstract void _createPartControl();
 
 	/**
 	 * Use this method to add widget next to the default Top toolbar
@@ -1014,4 +1016,10 @@
 	public Composite getContainer() {
 		return parent;
 	}
+
+	public void layout(boolean b) {
+		if (parent != null && !parent.isDisposed()) {
+			parent.layout(b);
+		}
+	}
 }
Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 835)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 836)
@@ -567,6 +567,23 @@
       <feature id="org.txm.statsengine.r.feature"/>
       <feature id="org.txm.searchengine.cqp.feature"/>
       <feature id="org.txm.synopticeditor.feature"/>
+      <feature id="org.txm.ca.feature"/>
+      <feature id="org.txm.chartsengine.jfreechart.feature"/>
+      <feature id="org.txm.annotation.feature"/>
+      <feature id="org.txm.edition.feature"/>
+      <feature id="org.txm.lexicaltable.feature"/>
+      <feature id="org.txm.internalview.feature"/>
+      <feature id="org.txm.partition.feature"/>
+      <feature id="org.txm.concordance.feature"/>
+      <feature id="org.txm.index.feature"/>
+      <feature id="org.txm.ahc.feature"/>
+      <feature id="org.txm.groovy.feature"/>
+      <feature id="org.txm.specificities.feature"/>
+      <feature id="org.txm.progression.feature"/>
+      <feature id="org.txm.treetagger.feature"/>
+      <feature id="org.txm.properties.feature"/>
+      <feature id="org.txm.referencer.feature"/>
+      <feature id="org.txm.cooccurrence.feature"/>
    </features>
 
    <configurations>
Index: tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.dictionary.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -14,8 +14,8 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: Dictionary
+Bundle-Name: org.txm.dictionary.rcp
 Bundle-ManifestVersion: 2
-Bundle-SymbolicName: Dictionary;singleton:=true
+Bundle-SymbolicName: org.txm.dictionary.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 
Index: tmp/org.txm.links.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.links.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -24,7 +24,7 @@
  rt,org.txm.statsengine.r.rcp;bundle-version="1.0.0";visibility:=reexp
  ort,org.txm.index.rcp;visibility:=reexport,org.txm.progression.rcp;vi
  sibility:=reexport,org.txm.lexicaltable.rcp;visibility:=reexport,org.
- txm.libs.batik;visibility:=reexport,org.txm.synopticeditor.rcp;bundle
+ txm.libs.batik;visibility:=reexport,org.txm.edition.rcp;bundle
  -version="1.0.0";visibility:=reexport
 Export-Package: org.txm.links.rcp,org.txm.rcp.commands.link
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 835)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 836)
@@ -139,18 +139,15 @@
 
 	
 	@Override
-	public void _createPartControl(Composite parent) {
+	public void _createPartControl() {
 		
-		
 		this.referencer = ((Referencer) this.getResult());
 		this.corpus = referencer.getCorpus();
 
 		// Computing listener
 		ComputeSelectionListener computeSelectionListener = new ComputeSelectionListener(this);
 		ComputeKeyListener computeKeyListener = new ComputeKeyListener(this);
-
 		
-		parent.setLayout(new GridLayout(1,true));
 		Composite paramArea = getExtendedParametersComposite();
 		paramArea.setLayout(new GridLayout(3, false));
 		
Index: tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 835)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/rcp/editors/queryindex/QueryIndexEditor.java	(revision 836)
@@ -40,9 +40,6 @@
 import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.custom.ScrolledComposite;
-import org.eclipse.swt.events.ControlAdapter;
-import org.eclipse.swt.events.ControlEvent;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MouseAdapter;
@@ -51,9 +48,7 @@
 import org.eclipse.swt.events.SelectionListener;
 import org.eclipse.swt.graphics.Font;
 import org.eclipse.swt.graphics.FontData;
-import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.graphics.Point;
-import org.eclipse.swt.graphics.Rectangle;
 import org.eclipse.swt.layout.FormAttachment;
 import org.eclipse.swt.layout.FormData;
 import org.eclipse.swt.layout.FormLayout;
@@ -70,9 +65,8 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
-import org.eclipse.ui.part.EditorPart;
 import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.results.TXMResult;
+import org.txm.functions.queryindex.Messages;
 import org.txm.functions.queryindex.QueryIndex;
 import org.txm.functions.queryindex.QueryIndexLine;
 import org.txm.index.core.functions.LineComparator.SortMode;
@@ -81,6 +75,7 @@
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.editors.input.QueryIndexEditorInput;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.swt.widget.NamedAssistedQueryWidget;
@@ -88,7 +83,6 @@
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.rcp.editors.input.QueryIndexEditorInput;
 import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -97,7 +91,6 @@
 import org.txm.searchengine.cqp.corpus.query.Query;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
-import org.txm.functions.queryindex.*;
 
 /**
  * display the query index parameters and result.
@@ -170,12 +163,12 @@
 	/** The nblinesmax. */
 	protected int nblinesmax;
 
-	/** The scroll composite. */
-	private ScrolledComposite scrollComposite;
+//	/** The scroll composite. */
+//	private ScrolledComposite scrollComposite;
+//
+//	/** The head composite. */
+//	private Composite headComposite;
 
-	/** The head composite. */
-	private Composite headComposite;
-
 	/** The title. */
 	String title;
 
@@ -400,47 +393,40 @@
 	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
 	 */
 	@Override
-	public void _createPartControl(final Composite parent) {
-		FormLayout parentLayout = new FormLayout();
-		parent.setLayout(parentLayout);
+	public void _createPartControl() {
 
 		// create scrollable area
-		scrollComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.NONE);
-		FormData headLayoutData = new FormData();
-		headLayoutData.top = new FormAttachment(0, 0);
-		headLayoutData.left = new FormAttachment(0);
-		headLayoutData.right = new FormAttachment(100);
-		scrollComposite.setLayoutData(headLayoutData);
-		scrollComposite.setLayout(new FormLayout());
+//		scrollComposite = new ScrolledComposite(parent, SWT.H_SCROLL | SWT.NONE);
+//		FormData headLayoutData = new FormData();
+//		headLayoutData.top = new FormAttachment(0, 0);
+//		headLayoutData.left = new FormAttachment(0);
+//		headLayoutData.right = new FormAttachment(100);
+//		scrollComposite.setLayoutData(headLayoutData);
+//		scrollComposite.setLayout(new FormLayout());
+//
+//		headComposite = new Composite(scrollComposite, SWT.NONE);
+//		headLayoutData = new FormData();
+//		headLayoutData.top = new FormAttachment(0);
+//		headLayoutData.bottom = new FormAttachment(100);
+//		headLayoutData.left = new FormAttachment(0);
+//		headLayoutData.right = new FormAttachment(100);
+//		headComposite.setLayoutData(headLayoutData);
+//		headComposite.setLayout(new FormLayout());
+//
+//		scrollComposite.setContent(headComposite);
+//		scrollComposite.setExpandVertical(true);
+//		scrollComposite.setExpandHorizontal(true);
+//		scrollComposite.addControlListener(new ControlAdapter() {
+//			@Override
+//			public void controlResized(ControlEvent e) {
+//				Rectangle r = scrollComposite.getClientArea();
+//				scrollComposite.setMinSize(headComposite.computeSize(
+//						SWT.DEFAULT, SWT.DEFAULT));
+//			}
+//		});
 
-		headComposite = new Composite(scrollComposite, SWT.NONE);
-		headLayoutData = new FormData();
-		headLayoutData.top = new FormAttachment(0);
-		headLayoutData.bottom = new FormAttachment(100);
-		headLayoutData.left = new FormAttachment(0);
-		headLayoutData.right = new FormAttachment(100);
-		headComposite.setLayoutData(headLayoutData);
-		headComposite.setLayout(new FormLayout());
+		final Composite paramArea = getExtendedParametersComposite();
 
-		scrollComposite.setContent(headComposite);
-		scrollComposite.setExpandVertical(true);
-		scrollComposite.setExpandHorizontal(true);
-		scrollComposite.addControlListener(new ControlAdapter() {
-			@Override
-			public void controlResized(ControlEvent e) {
-				Rectangle r = scrollComposite.getClientArea();
-				scrollComposite.setMinSize(headComposite.computeSize(
-						SWT.DEFAULT, SWT.DEFAULT));
-			}
-		});
-
-		final Composite paramArea = new Composite(headComposite, SWT.NONE);
-		FormData paramLayoutData = new FormData();
-		paramLayoutData.top = new FormAttachment(0);
-		paramLayoutData.left = new FormAttachment(0);
-		paramLayoutData.right = new FormAttachment(100);
-		paramArea.setLayoutData(paramLayoutData);
-
 		// info&navigation panel
 		// final Composite infosArea = new Composite(headComposite, SWT.NONE);
 		// FormData infosLayoutData = new FormData();
@@ -449,13 +435,7 @@
 		// infosLayoutData.right = new FormAttachment(100);
 		// infosArea.setLayoutData(infosLayoutData);
 
-		Composite resultArea = new Composite(parent, SWT.NONE);
-		FormData resultLayoutData = new FormData();
-		resultLayoutData.top = new FormAttachment(scrollComposite, 0);
-		resultLayoutData.left = new FormAttachment(0);
-		resultLayoutData.right = new FormAttachment(100);
-		resultLayoutData.bottom = new FormAttachment(100);
-		resultArea.setLayoutData(resultLayoutData);
+		Composite resultArea = getResultArea();
 
 		// compose paramArea
 		FormLayout paramLayout = new FormLayout();
@@ -513,7 +493,7 @@
 				if (LastOpened.getFile(ID) != null)
 					propFile = new File(LastOpened.getFolder(ID));
 
-				FileDialog dialog = new FileDialog(parent.getShell(), SWT.OPEN);
+				FileDialog dialog = new FileDialog(getShell(), SWT.OPEN);
 				String[] exts = { "*.properties" }; //$NON-NLS
 				dialog.setFilterExtensions(exts);
 				if (propFile != null) {
Index: tmp/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.cql2lsa.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -12,9 +12,9 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: CQL2LSA
+Bundle-Name: org.txm.cql2lsa.rcp
 Bundle-ManifestVersion: 2
 Bundle-Activator: cql2lsarcp.Activator
-Bundle-SymbolicName: CQL2LSA;singleton:=true
+Bundle-SymbolicName: org.txm.cql2lsa.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 
